from odoo import models, fields


class MarketplaceCompanyExtend(models.Model):
    _inherit = 'marketplace.company'

    # Связи с заказами через наследование
    stage_ids = fields.Many2many(
        'marketplace.order.stage', 
        'marketplace_stage_company_rel',
        'company_id', 'stage_id', 
        string='Available for Stages'
    )
    trip_ids = fields.One2many(
        'marketplace.order.trip', 
        'company_id', 
        string='Trips'
    )